/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.entitycallback;

import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.DiscriminatorType;
import javax.persistence.InheritanceType;
import javax.persistence.DiscriminatorType;
import javax.persistence.Entity;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.3.2.4 $
 */
@Entity
@Inheritance(strategy = InheritanceType.SINGLE_TABLE, discriminatorType = DiscriminatorType.STRING, discriminatorValue = "BUS")
public class BusJourney extends Journey
{
   private String bus;

   public BusJourney()
   {

   }

   public BusJourney(String start, String dest, String bus)
   {
      super(start, dest);
      this.bus = bus;
   }



   public String getBus()
   {
      return bus;
   }

   public void setBus(String bus)
   {
      this.bus = bus;
   }
}
